.\" @(#)newsyslog.man
.\"
.TH NEWSYSLOG 8 "03 December 2002"
.SH NAME
newsyslog \- rotate system log files
.SH SYNOPSIS
\fBnewsyslog\fP [ \-dqt ] [ \-f \fIfilename\fP ] [ \-m \fIrecipient\fP ]
\fIfrequency\fP
.SH DESCRIPTION
\fInewsyslog\fP rotates files used by
.MS syslogd 8
(or other programs), and sends a \fBHANGUP\fP
signal to appropriate processes (as listed in the configuration file).
.SH OPTIONS
.TP
\fB\-d\fP
Turns on \fIdebugging\fP mode. This causes selected debugging
information to be output to \fBstdout\fP, as well as being logged via
the syslog facility configured into the program, level \fIdebug\fP.
.TP
\fB\-q\fP
Turns on \fIquiet\fP mode. Normally the program will output a few
informational messages to indicate its progress. This option turns that
off. The progress is still logged via the syslog facility configured
into the program, level \fIinfo\fP.
.TP
\fB\-t\fP
Turns on \fItest only\fP mode. The program will not rotate any files, but
rather will report any errors in configuration and report which files
(after full filename expansion) would be rotated.
.TP
\fB\-f \fIfilename\fP
This option causes the program to use \fIfilename\fP as its
configuration file instead of the default file set in the configuration
section of the program.
.TP
\fB\-m \fIrecipient\fP
This option causes the program to mail errors to \fIrecipient\fP.
Errors which occur during the program's run will be collected into a
temporary file, which will be deleted at the end of the run. The default
behaviour is to \fBnot\fP mail the errors file to anyone. Errors are
also logged via the syslog facility configured into the program, level
\fIerr\fP.
.TP
\fBfrequency\fP
An arbitrary text string meant to match on of the \fIfrequency\fP fields
in the
.MS newsyslog.conf 5
configuration file. Only entries in the configuration file with a
matching \fIfrequency\fP field will be processed.
.SH FILES
.TP
.B newsyslog.conf:
The configuration file used to determine which files to rotate.
.SH BUGS
A "hole" in a set of archived backups is not filled in but rotated.
For example, if you have archives foo.1, foo.3, and foo.4, but no
foo.2, the next time foo is rotated, you will have foo.1 (old foo),
foo.2, (old foo.1), and foo.4 (old foo.3); the empty space is not
filled in.
.SH SEE ALSO
.MS newsyslog.conf 5
.MS syslog 3
.MS syslogd 8
.SH AUTHOR
Sylvain Robitaille, Concordia University
